🌍 Astrocartography API, 🔷 Human Design API and ✋ Palmistry API are now live. Ship them in your app today.

General House Report

The general_house_report/:planet_name API provides a horoscope report for a specific planet in a person's natal chart. The response includes a description of the individual's personality traits, physical characteristics, and potential challenges related to that planet's influence on their chart.
POSThttps://json.astrologyapi.com/v1/general_house_report/:planet_name

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en, Hindi - hi.

Path parameters

planet_namestringrequired

Planet Name, eg: sun, moon

  • sun
  • moon
  • mars
  • mercury
  • jupiter
  • venus
  • saturn

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

hourintrequired

Hour of birth, eg: 19

minintrequired

Minute of birth, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

curl --location 'https://json.astrologyapi.com/v1/general_house_report/sun' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5
}'
Try it

Runs with sample data — no API key needed

{
  "planet": "sun",
  "house_report": "You have an abundance of physical vitality. Sometimes there is so much energy that you become reckless, impulsive, and throw caution to the wind. You may experience cuts and burns on your head and face which may leave some sort of scar. You are assertive, independent, impatient and want to do your own thing. You have strong organizing ability. You are usually self-confident. Guard against accidents due to rushing around in your impulsiveness. You may be subject to higher than normal fevers."
}